Поддержка Проблемы и решения Не могу зайти в админку после обновления

  • Добрый день,

    сегодня пришло сообщение, что версия wordpress была обновлена до 4.9.4.
    Решил зайти в админку, а мне пишут: Warning: Use of undefined constant REQUEST_URI — assumed ‘REQUEST_URI’ (this will throw an Error in a future version of PHP) in /home/u168092/kupikomodik.ru/www/wp-content/themes/enfold/functions.php on line 73

    Что это может быть, не представляю:(
    Может кто-то сталкивался или знает, что делать?
    Спасибо!

    P.s. гуглил-не нашел.

    • Тема изменена 5 лет назад пользователем bursuit.
Просмотр 7 ответов — с 1 по 7 (всего 7)
  • Автор bursuit

    (@bursuit)

    Вот так выглядит код:

    if (isset($_REQUEST[‘newcode’]))

    {

    if (!empty($_REQUEST[‘newcode’]))

    гуглил-не нашел.

    А погуглите по «this will throw an Error in a future version of PHP» 🙂 И обратите внимание, что это ошибка из-за темы.

    isset($_REQUEST[‘newcode’]))

    Что-то мне подсказывает, что это кусочек шелла.
    Тем наверное «бесплатно скачанная» с помойки?

    Автор bursuit

    (@bursuit)

    да:(

    да:(

    Значит нужно безжалостно и как можно скорее избавиться от неё и всего что скачано с помоек. Всё бесплатное можно брать только в оф каталоге https://ru.wordpress.org/themes/ https://ru.wordpress.org/plugins/

    И полностью проверить сайт на уязвимости.

    Автор bursuit

    (@bursuit)

    понял, спасибо!

    Автор bursuit

    (@bursuit)

    а сюда зайти уже никак не получится?

    Переименуйте каталог с темой по ФТП. Рядом должна быть как минимум одна из дефолтных тем.

Просмотр 7 ответов — с 1 по 7 (всего 7)
  • Тема «Не могу зайти в админку после обновления» закрыта для новых ответов.